Remove alias section from zshrc.

master
Icedream 2019-03-13 11:33:23 +01:00
parent e868c2d11d
commit f0a50e4d80
Signed by: icedream
GPG Key ID: 1573F6D8EFE4D0CF
1 changed files with 0 additions and 26 deletions

View File

@ -166,7 +166,6 @@ if [ $ZSH_GPG_PINENTRY_FIX -gt 0 ]; then
fi fi
section_end section_end
# sugar to easily connect to remote docker hosts through SSH # sugar to easily connect to remote docker hosts through SSH
section "ssh-based remote docker access" section "ssh-based remote docker access"
ssh_docker() { ssh_docker() {
@ -230,30 +229,6 @@ export ssh_docker_exit
export ssh_docker_cleanup export ssh_docker_cleanup
section_end section_end
# alias
section "alias"
if [ $ZSH_ALIAS -gt 0 ]; then
alias ssh-seidemannweb="ssh seiaufjt@cloud3-vm449.de-nserver.de"
alias ssh-pidashboard="ssh -p 10022 -L 5900:localhost:5900 ck@remote.seidemann.com"
alias docker-pidashboard="DOCKER_CERT_PATH=~/.docker/sw-pi-dashboard docker -H tcp://192.168.100.225:2375 --tlsverify"
alias docker-home="docker -H tcp://172.20.3.34:2375"
alias docker-winsrv2016-a="docker -H tcp://vm-winsrv2016-a:2375 --tlsverify"
alias wttr="curl -H 'Accept-Language: de' wttr.in/Reutlingen"
swproject() {
dir=$(find $HOME/src/gitlab.seidemann-web.com -type d -path "*/$1" -and -not -path '*/\.*' -print -quit)
if [ -z "$dir" ]; then
echo "Could not find project directory for $1." >&2
return 1
fi
cd "$dir" || exit 1
return 0
}
export swproject
fi
section_end
# Reboot required? (hacky code) # Reboot required? (hacky code)
section "reboot required?" section "reboot required?"
if [ $ZSH_PRINT_REBOOT_REQUIRED -gt 0 ]; then if [ $ZSH_PRINT_REBOOT_REQUIRED -gt 0 ]; then
@ -263,7 +238,6 @@ if [ $ZSH_PRINT_REBOOT_REQUIRED -gt 0 ]; then
fi fi
section_end section_end
# print env # print env
section "Environment variables" section "Environment variables"
log "$(export)" log "$(export)"